# "uname -r" output of the kernel to build for, the running one
# if none was specified with "--define 'kernel <uname -r>'"
%{!?kernel: %{expand: %%define kernel %(uname -r)}}

%define kversion %(echo %{kernel} | sed -e s/xen// -)
%define krelver  %(echo %{kversion} | tr -s '-' '_')

%if %(echo %{kernel} | grep -c xen)
        %{expand:%%define kxensufix -xen}
%endif

%define khdate 20101209
%define khrelease 2307

Summary: Kernel driver for KHOMP Telephony interface cards
Name: kernel-module-khomp%{?kxensufix}
Version: %{khdate}.%{khrelease}
Release: 1_%{krelver}
License: GPL
Group: System Environment/Libraries
URL: http://www.khomp.com.br/
Source0: kpdriver_%{khdate}_%{khrelease}.tar.gz
Patch0: kpdriver-20101209_2307-fix-module-install.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: kernel%{?kxensufix}-devel = %{kversion}
Requires: asterisk-chan_khomp

%description
This package contains the kernel drivers needed to use KHOMP telephony drivers
with Linux kernel package : %{kversion} (%{_target_cpu}%{?kxensufix:, XEN}).


%prep
%setup -n kpdriver_%{khdate}_%{khrelease}
%patch0 -p1

%build
export CFLAGS="%{optflags}"
%{__make} clean
%{__make} %{?_smp_mflags} KVER="%{kernel}"


%install
%{__rm} -rf %{buildroot}
%{__make} install KVER="%{kernel}" DESTDIR="%{buildroot}"


%clean
%{__rm} -rf %{buildroot}


%post
/sbin/depmod -a -F /boot/System.map-%{kernel} %{kernel} &>/dev/null || :


%postun
/sbin/depmod -a -F /boot/System.map-%{kernel} %{kernel} &>/dev/null || :


%files
%defattr(-, root, root, 0755)
/lib/modules
%doc README.txt LICENSE.txt kptest

%changelog
* Tue Jul 26 2011 Alex Villacis Lasso <a_villacis@palosanto.com> - 20101209-2307.1
- Initial packaging for Elastix

